Я только что обновился до Android Studio 4.1 Canary 9, но получаю следующую ошибку:

Missing essential plugin:

  org.jetbrains.android

Please reinstall Android Studio from scratch.

Corrupted Installation

Я пробовал переустановить Android Studio с нуля, как написано в ошибке, но ничего не изменилось.

Arnyminer Z

Ответов: 34

Ответы (34)

Удаление их из disabled_plugins.txt устраняет проблему, если вы отключили некоторые плагины. Вместо того, чтобы добавлять обратно все плагины, укажите плагины, которые нужно включить:

groovy, smali, kotlin, junit // (i.e: Enable these)

Решил, удалив файлы в следующей папке: ... \ AppData \ Roaming \ Google \ AndroidStudioPreview2020.3 \ plugins
возможно проблема в каком-то плагине, в моем случае это kotlin Перезагрузите Android Studio (канареечная версия ArtFox)

Все ответы, связанные с disabled_plugins.txt, верны, но достаточно просто удалить строку (этот файл удалять не нужно. Таким образом, ранее отключенные плагины останутся отключенными). enter image description here

Удалить disabled_plugins.txt содержит все отключенные плагины

enter image description here

Я использую Linux Ubuntu 18.04 и Android Studio 4.0, и в этом каталоге я нашел файл disabled_plugins.txt:

/home/[your_username]/.AndroidStudio4.0/config

и после этого я обнаружил, что поместил плагин Kotlin в конец файла. Просто удалите эту строку, Android Studio будет работать. Кстати, на любой другой ОС вы можете найти свой файл, просто выполнив поиск disabled_plugins.txt.

У меня была такая же проблема из-за отключения плагина Kotlin.

Исправить было так просто, как удалить строку Kotlin из ~ / .config / Google / AndroidStudio4.1 / disabled_plugins.txt.

Я нашел это решение полезным после обновления до Android Studio Arctic Fox 2020.3.1 Canary 2 из Jetbrains Toolbox.

Перейдите к пользователю -> сделайте пакет библиотеки видимым (в большинстве случаях) -> Поддержка приложений -> Google -> удалить старые каталоги студии android

Похоже, это происходит, когда вы пытаетесь установить прилагаемый плагин при обновлении до AS2020.3.1.5. Но я не могу найти предложенный disabled_plugin.xml в папке C: \ Users \ [your_name] \ AppData \ Local \ Google \ AndroidStudioPreview2020.3.

Как бы то ни было, я все еще могу открыть предыдущую версию 2020.3.1.x, поэтому она может храниться где-то еще ... (поскольку эти две версии используют одну и ту же библиотеку / поддержку приложений / путь).

Для Android Studio 4.2+ это происходит, когда вы отключите подключаемый модуль свойств или подключаемый модуль Groovy, вы можете удалить эти записи из disabled_pluggins.txt. для пользователей Windows файл находится по адресу:

C: \ Users \ {имя пользователя} \ AppData \ Roaming \ Google \ AndroidStudioPreview4.X \ disabled_plugins.txt

укажите свое имя пользователя в поле {username} указанного выше адреса, в качестве альтернативы вы можете просто удалить этот файл, как упоминается в других ответах!

Причина ошибки: Эта проблема возникает после отключения одного или нескольких плагинов (например, Kotlin) в настройках Android Studio 4.x (Android Studio -> Настройки -> Плагины -> Снимите отметку с плагина Kotlin -> Применить -> ОК -> Перезапустить Android Studio ==> Ошибка

Решение (только для Mac): Удалите файл disabled_plugins.txt

  1. найти ~ / имя библиотеки disabled_plugins.txt В идеале путь должен быть: /Users//Library/Preferences/AndroidStudio4.x/disabled_plugins.txt
  2. rm disabled_plugins.txt
  3. Перезагрузите Android Studio

enter image description here

C: \ Users \ Dell \ AppData \ Roaming \ Google \ AndroidStudio4.1

and then delete >>>> disabled_plugin.txt

Вместо Dell вы можете разместить свое имя пользователя или имя устройства (например, Dell, Lenovo и т. Д.).

Вы также можете попробовать следующий каталог:

  • Найдите % appdata% в строке поиска Windows
  • Google \ AndroidStudio4.1
  • удалить disabled_plugins.txt

в macOS Catalina 10.15 этот файл можно найти по адресу / Users / {your_user_name} / Library / Application Support / Google / AndroidStudio4.1 / plugins

Я использую Android Studio 4.0 от homebrew. И удалите это

/Users/[your_name]/Library/Preferences/AndroidStudio4.0/disabled_plugin.txt

В Mac OS

  1. Открыть / Пользователи//Library/Preferences/AndroidStudio4.0/codestyles
  2. удалить disabled_plugins.txt
  3. перезапустить Android Studio

Для Windows пользователей

C: \ Users \ Admin [если у вас есть имя пользователя] .AndroidStudio4.0 \ config

Там можно найти отключенный _plugins.txt удалите его и перезапустите студию Android

Для пользователей Windows.

C:\Users\YourUserName\AppData\Roaming\Google\AndroidStudioPreview4.1\disabled_plugins.txt

Удаление этого файла решит проблему.

Подробнее информация.

только пользователь Windows попробуй это меня устраивает Удаляю этот файл disabled_plugins.txt

C: \ Users \ ashif.AndroidStudio4.0 \ config

В Linux (Fedora Release 30)проблема возникла после того, как я хотел отключить функции Kotlin во время установки. Я мог решить эту проблему, удалив файлы конфигурации:

rm -r ~/.config/Google/AndroidStudio4.1

Или просто удалите файл disabled_plugins.txt:

rm  ~/.config/Google/AndroidStudio4.1/disabled_plugins.txt

Иногда вы вынуждены повторно распаковать вашу андроид-студию на машине с Linux. Обратите внимание, что удаление каталога ~ / .local / share / Google / AndroidStudio4.1 / мне не помогло.

На Linux с Android Studio 4.1

для меня это был другой путь, может это теперь новый формат?

~ / .config / Google / AndroidStudio4.1

Android Studio 4.1.1

Я отключил некоторые плагины (пытался ускорить работу Android Studio) и получил это сообщение об ошибке выше.

Итак, я открываю файловый менеджер, включаю скрытые файлы и перехожу к:

C: \ Users \ myUserName \ AppData \ Roaming \ Google \ AndroidStudio4.1

и удалил txt файл disabled_plugins

Сейчас работает Android studio.

Решение - удалить disabled_plugins.txt.

На Linux, Android Studio 4.1 путь:

~/.config/JetBrains/AndroidStudio4.1

Отключение плагина Kotlin для Android Studio 4.x вызывает эту проблему, и вы не можете открыть Android Studio, пока не включите плагин Kotlin снова. Чтобы повторно включить плагины, не открывая Android Studio, вы можете удалить или отредактировать файл disabled_plugins.txt из пути конфигурации Android Studio.

Для дистрибутивов Linuxкаталог конфигурации по умолчанию ~ / .config / Google / AndroidStudio4.x /

Таким образом, удаление disabled_plugins.txt включит все ваши отключенные плагины и решит вашу проблему.

rm ~/.config/Google/AndroidStudio4.1/disabled_plugins.txt

Для macOSкаталог по умолчанию ~ / Library / Application Support / Google / AndroidStudio4.x

rm ~/Library/Application\ Support/Google/AndroidStudio4.1/disabled_plugins.txt

Похоже, источников этой проблемы много. У меня была проблема с Android Studio 2020.3.1 Canary 5. С 2020.3.1 Canary 4 все было в порядке, несмотря на то, что оба использовали одни и те же файлы конфигурации.

В моем случае преступником была папка Kotlin, расположенная по адресу:

C: \ Users \ AppData \ Roaming \ Google \ AndroidStudioPreview2020.3 \ plugins

Я заметил, что в более раннем ответе папка Kotlin находится на уровне, на котором в моем случае находилась папка «plugins». Я переместил папку, запустил и наконец запустил Canary 5.

При запуске Canary 4 снова была воссоздана папка, сообщена «поврежденная установка», и проблема вернулась. Но удаление папки снова позволило Canary 5 снова запустить.

Эта проблема возникает по двум причинам.

  1. Вы отключили некоторые плагины из Android Studio и перезапустили.
  2. Некоторые плагины отключены каким-либо потоком, и вы начинаете получать отсутствует необходимый плагин org.jetbrains.android это сообщение об ошибке.

Решение простое.

C:\Users\Numan\AppData\Roaming\Google\AndroidStudio4.1

Просто перейдите в последнюю версию Android Studio и найдите файл текстового документа с именем disabled_plugins. Теперь откройте его и удалите строки, которые, по вашему мнению, были отключены, или иным образом удалите полный файл disabled_plugins и откройте Android Studio. Вы также можете выполнить поиск disabled_plugins на вашем диске C, и появится один текстовый файл, если вы не можете найти его из AppData.

Работает - Ура !!!

для Android Studio AndroidStudio2020.3 просто удалите этот файл:

disabled_plugins.txt

из этого пути:

C:\Users\YOUR_USERNAME\AppData\Roaming\Google\AndroidStudio2020.3

Библиотека -> Поддержка приложений -> Google -> AndroidStudio4.2 -> disabled_plugins.txt

Для MAC Mojave

В Linux это может произойти при отключении всех плагинов (Artic Fox). Путь (или может быть):

~/.config/Google/AndroidStudio2020.3/disabled_plugins.txt

Возможно комментирование записей с помощью #, чтобы оставить определенные плагины отключенными.

Для MacOS BigSur

Корень / Пользователи / {ваш_пользователь} / Библиотека / Поддержка приложений / Google / AndroidStudio {версия} /disabled_plugins.txt

Поиск файла не работает.

Получить доступ к руту через Shift + cmd + g

Показывать скрытые файлы с помощью Shift + cmd +. (Библиотека, скорее всего, будет скрыта внутри вашей пользовательской папки)

Кажется, вы отключили свои плагины раньше, поэтому найдите и отредактируйте

disabled_plugins.txt

и удалите плагин, который хотите включить.

В Windows расположение файла:

C:\Users\\AppData\Roaming\Google\AndroidStudio...

Для меня это произошло из-за того, что я отключил JUnit. Вы не должны отключать базовые плагины студии Android.

поэтому удалите эти плагины из disabled_plugins.txt в следующем каталоге для Windows

C:\Users\your_user_name\AppData\Roaming\Google\AndroidStudio_your_version\disabled_plugins.txt

и удалил оттуда основные названия плагинов Android.

У меня было под

C:\Users\mirza\AppData\Roaming\Google\AndroidStudio4.2

Если вы не уверены, сколько и какой плагин вам следует удалить, выполните метод проб и ошибок, что означает удаление одного плагина из файла и запуск студии Android. Делайте это до тех пор, пока студия не запустится без ошибки Энди

Хорошо, ничего из вышеперечисленного у меня не сработало, и я действительно сходил с ума ... Пока я наконец не нашел ЭТО видео:

https://www.youtube.com/watch?v=0MbXG8qwmMA

и понял, что удаляю НЕПРАВИЛЬНО в каталоге .AndroidStudio !! 😆 На пути, описанном в других ответах здесь, есть папка .AndroidStudio4.0, и я просто недостаточно внимательно посмотрел на имя ... Потому что, конечно, моя версия Android Studio - 4.1, а не 4.0! 🙂 И они переместили эти файлы в другое место, вероятно, поэтому эта проблема возникает в первую очередь ...

Итак, мое правильное местоположение файла, вызывающего ошибку, теперь:

C: \ Users \ ... \ AppData \ Roaming \ Google \ AndroidStudio4.1 \ disabled_plugins.txt

Попробуйте, или, иначе, просто найдите в ней папку с правильным именем версии, или просто выполните поиск по всему пользовательскому каталогу по имени файла! Моя AS теперь снова работает! 😊

Просто удалите этот файл (или удалите последние отключенные плагины в этом файле):

C:\Users\YourUserName\.AndroidStudioVersion\config\disabled_plugins.txt

Обновление от 10 февраля 2021 года:

Если вы не смогли найти этот адрес, попробуйте это в Windows:

C:\Users\YourUserName\AppData\Roaming\Google\AndroidStudioVersion\disabled_plugins.txt

Недавно этот адрес был перенесен сюда.

Обновление от 4 августа 2021 года:

Если вы используете windows 11 Папка данных приложения скрыта, и ее нужно запрашивать (просто найдите, как удалить отсутствующую папку данных приложения в Windows 11) Затем перейдите в то же место, что и ранее, и удалите этот файл

Как указано в разделе Известные проблемы на странице предварительного просмотра Android Studio 4.1, если вы получаете эту ошибку в Android Studio 4.1 Canary 9, это означает, что у вас есть локально установленный плагин Kotlin, который несовместим с новой IDE.

Чтобы решить эту проблему, вы должны удалить папку Kotlin из следующих мест (со страницы, указанной выше), в зависимости от вашей операционной системы:

Linux: ~ / .local / share / Google / AndroidStudioPreview4.1

Windows: C: \ Users \ YourUserName \ AppData \ Roaming \ Google \ AndroidStudioPreview4.1

macOS: ~ / Библиотека / Поддержка приложений / Google / AndroidStudioPreview4.1

Для Linux и macOS ~ относится к вашему домашнему каталогу, и каталог может быть удален из командной строки (Терминал) с помощью rm -rf directory_name_here.

Нет необходимости устанавливать заменяющий плагин Kotlin, так как он включен в эту версию Android Studio.

2022 WebDevInsider